Commit 8304581a authored by Lynn Garren's avatar Lynn Garren
Browse files

anything less than clang 3.5 is unsupported

parent a621d8dd
......@@ -88,8 +88,8 @@ endmacro( clhep_autoconf_variables )
macro( _clhep_verify_cxx11 )
if( ${CMAKE_CXX_COMPILER_ID} STREQUAL "Clang" )
if( CMAKE_CXX_COMPILER_VERSION VERSION_LESS 3.3 )
message( FATAL_ERROR "c++11 extension is not available for ${CMAKE_CXX_COMPILER_ID} ${CMAKE_CXX_COMPILER_VERSION}")
if( CMAKE_CXX_COMPILER_VERSION VERSION_LESS 3.5 )
message( FATAL_ERROR "CLHEP now requires c++11 support with clang 3.5 or later")
else()
set( HAVE_STDCXX true )
endif()
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment